package com.brilliance.isc.funds.vo;

import com.brilliance.isc.common.vo.PageVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class FtdVo extends PageVo {

    /**
     *  汇款业务编号
     */
    private String seaownref;
    /**
     * 名称
     */
    private String nam;
    /**
     * 汇款开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
    /**
     * 汇款截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;


    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;

    /**
     *参与方参考号
     */
    private String searef;
    /**
     * 参与方名称
     * */
    private String seapty;

    /**
     * 角色 User
     * */
    private String searol;

    /**
     * user ID
     * */

    private String usrextkey;

    /**
     *状态
     * */
    private String seasta;

    /**
     * 定存拆借类型
     * */
    private String fxtyp;


}
