package com.brilliance.isc.funds.vo;
import com.brilliance.isc.common.vo.PageVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.camel.language.bean.Bean;
import org.apache.catalina.User;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: hulei
 * @create: 2024-09-25 15:10
 **/

@Data
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxdVo extends PageVo {

    /**
     *  业务编号
     */
    private String seaownref;
    /**
     * 业务名称
     */
    private String nam;


    /**
     * 汇款开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom;
    /**
     * 汇款截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto;

    /**
     * //币种
     */
    private String seacur;

    /**
     * //金额从
     */
    private BigDecimal seaamtfr;
    /**
     * //金额到
     */
    private BigDecimal seaamtto;

    /**
      *参与方参考号
     */
    private String searef;
    /**
     * 参与方名称
     * */
    private String seapty;

    /**
     * 角色 User
     * */
    private String searol;

    /**
     * user ID
     * */

    private String usrextkey;

    /**
     *状态
     * */
    private String seasta;

    /**
     * 结售汇类型
     * */
    private String fxtyp;

}
